Create an organization – Management API – MediaKind
Create an organization
POST https://app.mk.io/api/v1/organization
Create a new Organization.
The user will be added to the newly created Organization.
Optionally the legal information can also be entered at this point.
NOTE: Organization names are not unique so care must be taken to avoid creating duplicates.
RBAC Capability Required: core.customer.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
spec object OrganizationCreateSpecSchema Required
Specification
- legalEntityAddress string Optional
The legal address of the purchaser. - legalEntityContactEmail string Optional
The primary officer's email address. - legalEntityName string Optional
The legal entity name of the purchaser. - legalEntityOfficer string Optional
The name of the primary officer of the purchaser. - name string Required <=512 characters
Name of the organization.
Response
201 Created
kind string Optional
The kind of record.metadata object OrganizationMetadataSchema Optional
Metadatacreated string Optional format: date-time
The time when the resource was created- createdBy string Optional format: uuid
ID of the user who created the resource - createdByEmail string Optional
Email of the user who created the resource - createdById string Required format: uuid
Id of the user who created the organization - createdByName string Required
Name of the user who created the organization - id string Required format: uuid
The ID of the resource - isActive boolean Required
Is organization active - name string Optional
The name of the resource - updated string Optional format: date-time
The time when the resource was last updated
- createdBy string Optional format: uuid
spec object OrganizationSpecSchema Required
SpecificationlegalEntityAddress string or null Optional
The legal address of the purchaser.- legalEntityContactEmail string or null Optional
The primary officer's email address. - legalEntityName string or null Optional
The legal entity name of the purchaser. - legalEntityOfficer string or null Optional
The name of the primary officer of the purchaser. - name string Optional
Name of the organization
- legalEntityContactEmail string or null Optional
Errors
400 Bad Request
- error object ErrorDetail Required
Pertinent information about the error- code string Required
The error code. - detail string Required
The error message. - extraDetail map from strings to any Optional
Extra information regarding this error. - ref string Required
A reference to the request that caused the error. - status integer Required
The HTTP status code
- code string Required
401 Unauthorized
403 Forbidden
404 Not Found
429 Too Many Requests
500 Internal Server Error